Subject: Re: bug#11850: crash (null font) running emacs built from git

From: Yotam Medini יותם מדיני<[email-masked]>
Date: Sun, 8 Jul 2012 18:58:30 +0300

I applied this patch, build with the config-switches you have suggested.
Running it (not thru gdb this time...) gave:

 yotamm@huby:emacs:549> /usr/local/bin/emacs

 xdisp.c:22676: Emacs fatal error: assertion failed: s->font
 Fatal error (6)Aborted

I understand that Chong suggested some test steps.
Please resolve exactly what you would like me to try.
I would love to help, but my time with this environment
(where home-built emacs fails) is limited.

regards -- yotam

On Wed, Jul 4, 2012 at 8:14 PM, Eli Zaretskii <[email-masked]> wrote:

> > Date: Wed, 4 Jul 2012 20:02:55 +0300
> > From: Yotam Medini יותם מדיני <[email-masked]>
> >
> > Could you please re-send your patch as an attachment.
> > So I can apply it cleanly (from the original) -
> > and not worry about white-space differences.
>
> You shouldn't need to worry, because I use Emacs to send the mail. ;-)
> So the whitespace is exactly as it is in the original patch.  Besides,
> GNU 'patch' command accepts the --ignore-whitespace switch, even if
> something does happen to whitespace.
>
> But here's the patch as attachment, anyway:
>
>